#
# spec file for package colorpicker
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.ronnydo.colorpicker
Name:           colorpicker
Version:        1.1.5
Release:        2.3
Summary:        A Color Picker
License:        GPL-3.0-or-later
URL:            https://github.com/RonnyDo/ColorPicker
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
A color picker program designed for the Pantheon Desktop.

%lang_package

%prep
%autosetup -n ColorPicker-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/metainfo/%{appid}.appdata.xml
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg

%files lang -f %{appid}.lang

%changelog
* Sun Nov 17 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove mention of elementary
  * remove recommend of lang package
  * remove stuff which were for Leap < 1500
* Sun May 17 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.5:
  * Fix travis build problem
  * Added Bulgarian translation (kudos to @clappingmonkey)
* Mon Jan 13 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.3:
  * Added Polish translation (kudos to @michalzkosmosu)
  * Added Dutch translation (kudos to @Vistaus)
  * Added Turkish translation (kudos to @ibrakap)
  * Fix build integration (kudos to @meisenzahl)
* Wed Jan  9 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.2:
  * Add português lang
* Sat Apr 28 2018 avvissu@yandex.by
- Update to 1.0.5:
  * Add French, Spanish and Catalan translation
  * Implement 'close with right-mouse-button' feature (issue #27)
  * Update icon
- Drop ColorPicker-1.0.2-fix-build.patch (fixed)
* Tue Dec 19 2017 jengelh@inai.de
- Ensure neutrality of descriptions.
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
